Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.primitive
Interface GraphicScaledImage

All Superinterfaces:
  Graphic

    public interface GraphicScaledImage

extends Graphic

Defines a common abstraction for implementations projected images defined by a lower-left (lowerCorner) point and an upper-right (upperCorner) point.

Field Summary

Fields inherited from interface Graphic
`DEFAULT_AUTO_EDIT, DEFAULT_BLINK_PATTERN, DEFAULT_BLINKING, DEFAULT_DRAG_SELECTABLE, DEFAULT_MAX_SCALE, DEFAULT_MIN_SCALE, DEFAULT_PICKABLE, DEFAULT_SELECTED, DEFAULT_VISIBLE, DEFAULT_Z_ORDER`

Method Summary
`CoordinateReferenceSystem` | `getCRS()` Returns the coordinate reference system that was used to create the image this object represents.
`int` | `getIntensity()` Returns the intensity of the image, as an integer from 0 to 100.
`DirectPosition` | `getLowerCorner()` Returns the DirectPosition for the lower-left position of the image.
`RenderedImage` | `getScaledImage()` Returns the image represented by this GraphicScaledImage.
`int` | `getTransparency()` Returns the transparency of the image, as an integer from 0 to 100.
`DirectPosition` | `getUpperCorner()` Convenience menthod to return the DirectPosition for the upper-right position of the image.
`void` | `setCRS(CoordinateReferenceSystem crs)` This sets the coordinate reference system that was used to create the image that this object represents.
`void` | `setIntensity(int intensity)` Sets the intensity of the image, as an integer from 0 to 100.
`void` | `setLowerCorner(DirectPosition coord)` Convenience menthod to set the DirectPosition for the lower-left position of the image.
`void` | `setScaledImage(RenderedImage image)` Sets the image represented by this GraphicScaledImage.
`void` | `setTransparency(int transparency)` Sets the transparency of the image, as an integer from 0 to 100.
`void` | `setUpperCorner(DirectPosition coord)` Convenience menthod to set the DirectPosition for the upper-right position of the image.

Methods inherited from interface Graphic
`addGraphicListener, cloneGraphic, dispose, fireGraphicEvent, getAutoEdit, getBlinking, getBlinkPattern, getClientProperty, getDragSelectable, getGraphicStyle, getMaxScale, getMinScale, getName, getParent, getPickable, getSelected, getSymbology, getVisible, getZOrderHint, isPassingEventsToParent, isShowingAnchorHandles, isShowingEditHandles, putClientProperty, refresh, removeGraphicListener, setAutoEdit, setBlinking, setBlinkPattern, setDragSelectable, setGraphicStyle, setMaxScale, setMinScale, setName, setParent, setPassingEventsToParent, setPickable, setSelected, setShowingAnchorHandles, setShowingEditHandles, setSymbology, setVisible, setZOrderHint`

Method Detail

### setScaledImage

    void setScaledImage(RenderedImage image)

  Sets the image represented by this GraphicScaledImage.

  Parameters:
    `image` - the image to be rendered.

### getScaledImage

    RenderedImage getScaledImage()

  Returns the image represented by this GraphicScaledImage.

  Returns:
    the image to be rendered.

### setUpperCorner

    void setUpperCorner(DirectPosition coord)

  Convenience menthod to set the DirectPosition for the upper-right position of the image.

  Parameters:
    `coord` - the upper-right positon.

### getUpperCorner

    DirectPosition getUpperCorner()

  Convenience menthod to return the DirectPosition for the upper-right position of the image.

  Returns:
    the upper-right position.

### setLowerCorner

    void setLowerCorner(DirectPosition coord)

  Convenience menthod to set the DirectPosition for the lower-left position of the image.

  Parameters:
    `coord` - the lower-left positon.

### getLowerCorner

    DirectPosition getLowerCorner()

  Returns the DirectPosition for the lower-left position of the image.

  Returns:
    the lower-left position.

### setIntensity

    void setIntensity(int intensity)

  Sets the intensity of the image, as an integer from 0 to 100. The value 0 is as dark as possible and 100 is as bright as possible.

  Parameters:
    `intensity` - the intensity (brightness) of the image.

### getIntensity

    int getIntensity()

  Returns the intensity of the image, as an integer from 0 to 100. The value 0 is as dark as possible and 100 is as bright as possible.

  Returns:
    the intensity (brightness) of the image .

### setTransparency

    void setTransparency(int transparency)

  Sets the transparency of the image, as an integer from 0 to 100. The value 0 is completely opaque and 100 is completely transparent.

  Parameters:
    `transparency` - the transparency of the image.

### getTransparency

    int getTransparency()

  Returns the transparency of the image, as an integer from 0 to 100. The value 0 is completely opaque and 100 is completely transparent.

  Returns:
    the transparency of the image.

### setCRS

    void setCRS(CoordinateReferenceSystem crs)

  This sets the coordinate reference system that was used to create the image that this object represents.

  Implementations of the `GraphicScaledImage` interface are not required to implement any particular projections (there are in fact hundreds of EPSG codes). When the projection of the `GeoCanvas` differs from that contained in the SRS of this object, the behavior of the image is undefined. An implementation may choose to simply not show the image or to attempt to stretch or warp the image to fit the current projection.

  Precision issues may arise when a `GeoCanvas` needs to determine if a given SRS represents the same projection as it is currently displaying. Implementations are encouraged to store the SRS in an internal format that will allow projections whose center points are less than a meter apart on the earth's surface to be considered the same projection.

### getCRS

    CoordinateReferenceSystem getCRS()

  Returns the coordinate reference system that was used to create the image this object represents.

  See Also:
    `setCRS(org.opengis.referencing.crs.CoordinateReferenceSystem)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.